Subject: Re: My git-gui difftool script

From: Michael J Gruber <[email-masked]>
Date: Fri, 18 Feb 2011 08:36:51 +0100

Chunlin Zhang venit, vidit, dixit 18.02.2011 02:12:
> Michael J Gruber <michaeljgruber+gmane <at> fastmail.fm> writes:
> 
>>
>>
>> I don't want to spoil the party, but how is this different from using
>> "git difftool -y $FILENAME" for the command?
> 
> Because in git-gui I can know which files are modified and which file are staged
> more clearly and directly,and I can examine the diff over and over again if I
>  like.

Well, of course, but in git-gui's Tools menu you can use

"git difftool -y $FILENAME"

instead of

"YOUR_PATH_TO_git_gui_difftool.py $FILENAME"

for the command. So I'm just wondering what your new difftool.py does
differently from the existing git-difftool.

Michael